This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473471 - uninstalling gtk-qt-engine leaves all gtk apps in ugly state because of old config
uninstalling gtk-qt-engine leaves all gtk apps in ugly state because of old c...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk-qt-engine (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 13:10 EST by Jason Farrell
Modified: 2008-12-30 18:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:48:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example of "ugly" gtk (29.33 KB, image/png)
2008-11-28 13:11 EST, Jason Farrell
no flags Details

  None (edit)
Description Jason Farrell 2008-11-28 13:10:16 EST
Description of problem:
After installing, enabling, then uninstalling gtk-qt-engine, you're left with all ugly default 'boxy' gtk apps, because of a garbage configfile left behind in ~/.kde/env/gtk-qt-engine.rc.sh

Version-Release number of selected component (if applicable):
gtk-qt-engine-1.1-2

How reproducible:
KDE

Steps to Reproduce:
1) add a new user
2) login to KDE as new user
3) "yum install gtk-qt-engine"   # because you heard it it makes gtk apps look more like KDE qt apps while running KDE.
4) Open "systemsettings > Appearance > Gtk Style and Fonts" and enable it by checking the radio "Use my KDE style in GTK applications".
5) Heed the dialog warning telling you changes won't take effect until you relogin, so relogin
6) Run Firefox, or any other gtk app, and decide that you don't much care for the mismatched QT widgets inside of GTK apps (messed up firefox tabs, borders around buttons and radios/checkboxes, etc.)
7) yum remove gtk-qt-engine
8) ...time passes...
9) log back in, Run Firefox, or any gtk app, and notice that the gtk style is now a butt-ugly, square, unstyled gtk.
10) in desparation, you attempt to run gnome-appearance-properties in KDE to
fix it, and fail. You then attempt to fix it by logging into Gnome, and run the same thing, and fail.
11) after much digging you discover ~/.kde/env/gtk-qt-engine.rc.sh was left behind, which loads ~/.gtkrc-2.0-kde4, which was also left behind.
  
Actual results:
stuck with ugly gtk apps unless you figure out how to fix it. the above is actually a common use scenario.

Expected results:
gtk apps should be restored to the current, changeable, gnome state when the package is uninstalled.

The shell script that gets added to "~/.kde/env/gtk-qt-engine.rc.sh" needs to simply check for the existence of itself before loading the static gtkrc. e.g.:

#!/bin/bash
# Make sure our customised gtkrc file is loaded, ONLY IF we're still installed
[[ -e /usr/lib64/kde4/kcm_gtk4.so ]] && export GTK2_RC_FILES=/home/foouser/.gtkrc-2.0-kde4
Comment 1 Jason Farrell 2008-11-28 13:11:22 EST
Created attachment 325031 [details]
example of "ugly" gtk
Comment 2 Rex Dieter 2008-11-28 16:02:24 EST
Makes good sense, I'll if I can come up with an implementation of that idea.
Comment 3 Fedora Update System 2008-12-23 16:41:53 EST
gtk-qt-engine-1.1-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gtk-qt-engine-1.1-4.fc9
Comment 4 Fedora Update System 2008-12-23 16:42:07 EST
gtk-qt-engine-1.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gtk-qt-engine-1.1-4.fc10
Comment 5 Fedora Update System 2008-12-23 16:43:56 EST
gtk-qt-engine-0.8-6.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/gtk-qt-engine-0.8-6.fc8
Comment 6 Fedora Update System 2008-12-24 07:56:50 EST
gtk-qt-engine-0.8-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-24 13:44:25 EST
gtk-qt-engine-1.1-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-qt-engine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11765
Comment 8 Fedora Update System 2008-12-24 13:44:30 EST
gtk-qt-engine-1.1-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gtk-qt-engine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11769
Comment 9 Fedora Update System 2008-12-24 13:48:01 EST
gtk-qt-engine-0.8-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-30 18:48:37 EST
gtk-qt-engine-1.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-30 18:52:33 EST
gtk-qt-engine-1.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.